# SWFDisplayItem::multColor

(PHP 5 < 5.3.0, PECL ming SVN)

SWFDisplayItem::multColor — Multiplies the item's color transform

### Description

SWFDisplayItem::multColor ( float `$red` , float `$green` , float `$blue` [, float `$a` ] ) : void
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

swfdisplayitem::multcolor() multiplies the item's color transform by the given values.

The object may be a swfshape(), a swfbutton(), a swftext() or a swfsprite() object. It must have been added using the swfmovie::add().

### Parameters

These parameters are floats between 0.0 and 1.0:

`red`

  Value of red component

`green`

  Value of green component

`blue`

  Value of blue component

`a`

  Value of alpha component

### Return Values

No value is returned.

### Examples

This simple example will modify your picture's atmosphere to Halloween (use a landscape or bright picture).

Example #1 swfdisplayitem::multcolor() example

`<?php
$b = new SWFBitmap(file_get_contents("backyard.jpg"));
// note use your own picture :-)
$s = new SWFShape();
$s->setRightFill($s->addFill($b));
$s->drawLine($b->getWidth(), 0);
$s->drawLine(0, $b->getHeight());
$s->drawLine(-$b->getWidth(), 0);
$s->drawLine(0, -$b->getHeight());
$m = new SWFMovie();
$m->setDimension($b->getWidth(), $b->getHeight());
$i = $m->add($s);
for ($n=0; $n<=20; ++$n) {
$i->multColor(1.0-$n/10, 1.0, 1.0);
$i->addColor(0xff*$n/20, 0, 0);
$m->nextFrame();
}
header('Content-type: application/x-shockwave-flash');
$m->output();
?>`